petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSetReusePreconditioner

reuse the current preconditioner, do not construct a new one even if the operator changes

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetReusePreconditioner(KSP ksp,PetscBool flag)

Collective on KSP Many br

### Input Parameters

| ksp | - iterative context obtained from KSPCreate() Many br
| flag | - PETSC_TRUE to reuse the current preconditioner Many br

Many br

### Keywords

KSP, setup

### See Also

KSPCreate(), KSPSolve(), KSPDestroy(), PCSetReusePreconditioner()

Level:intermediate
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex6f.F.html